## org.eclipse.wst.ws.service.policy.listeners
Interface IPolicyStateChangeListener

    public interface IPolicyStateChangeListener

This interface is used when the developer wants to listener to state changes for a particular service policy.

Method Summary
`void` `policyStateChange(IServicePolicy policy, java.lang.String key, java.lang.String oldValue, java.lang.String newValue)` Called when a state change event occurs for a service policy.

Method Detail

### policyStateChange

    void policyStateChange(IServicePolicy policy,
                           java.lang.String key,
                           java.lang.String oldValue,
                           java.lang.String newValue)

  Called when a state change event occurs for a service policy.

  Parameters:
    `policy` - the service policy
    `key` - the key of the state that changed.
    `oldValue` - the old value of the state that changed.
    `newValue` - the new value of the state that changed.